package com.goldenwater.slaj.acci.service;

import java.util.List;
import com.goldenwater.slaj.acci.domain.SawfSafeSupe;

/**
 * 安全生产许可证信息 服务层
 */
public interface ISawfSafeSupeService {

    /**
     * 查询安全生产许可证信息
     * @param guid 查询条件
     * @return 安全生产许可证信息
     */
    SawfSafeSupe selectSawfSafeSupeByGuid(String guid);

    /**
     * 查询安全生产许可证信息列表
     * @param sawfSafeSupe 安全生产许可证信息查询条件
     * @return 安全生产许可证信息集合
     */
    List<SawfSafeSupe> selectSawfSafeSupeList(SawfSafeSupe sawfSafeSupe);

    /**
     * 新增安全生产许可证信息
     * @param sawfSafeSupe 安全生产许可证信息
     * @return 影响行数
     */
    int insertSawfSafeSupe(SawfSafeSupe sawfSafeSupe);

    /**
     * 修改安全生产许可证信息
     * @param sawfSafeSupe 安全生产许可证信息
     * @return 影响行数
     */
    int updateSawfSafeSupe(SawfSafeSupe sawfSafeSupe);

    /**
     * 删除安全生产许可证信息
     * @param guid 安全生产许可证信息主键
     * @return 影响行数
     */
    int deleteSawfSafeSupeByGuid(String guid);

    /**
     * 批量删除安全生产许可证信息
     * @param guids 安全生产许可证信息主键数组
     * @return 影响行数
     */
    int deleteSawfSafeSupeByGuids(String[] guids);
}
